Skip to main content
GET
/
dnc
/
communication-opt-outs
List communication opt-outs
curl --request GET \
  --url https://api.altahq.com/v1/dnc/communication-opt-outs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "objectType": "communication-opt-out",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "identifier": "<string>",
      "isManuallyAdded": true,
      "label": "<string>"
    }
  ],
  "hasMore": true,
  "next": "<string>",
  "previous": "<string>"
}
Returns a paginated list of communication opt-out entries from your Do Not Contact list.

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Maximum number of results to return (1–100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the next or previous value from a prior response.

identifierType
enum<string>

Filter by identifier type.

Available options:
email,
linkedin,
phone,
sms,
whatsapp,
web_chat

Search by identifier value.

Response

A paginated list of communication opt-out entries

data
object[]
required
hasMore
boolean
required
next
string
previous
string